it.reply.healty.innovapuglia.mstaccuino.service.data

## Class PazienteDataService

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.service.data.PazienteDataService

-     @Component
      public class PazienteDataService
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PazienteDataService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Paziente` | `createPaziente(String cf, String nome, String cognome)` Crea il paziente nel database
    `String` | `getIdPazienteByCF(String cf)` Metodo che restituisce l'ID di un paziente in base al codice fiscale
    `Paziente` | `getOrCreatePaziente(String cf, String nome, String cognome)` Metodo che restituisce i dati di un paziente in base al codice fiscale
    `Paziente` | `getPazienteByCF(String cf)` Metodo che restituisce i dati di un paziente in base al codice fiscale

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PazienteDataService

          public PazienteDataService()

  - ### Method Detail

    - #### getPazienteByCF

          public Paziente getPazienteByCF(String cf)
                                   throws PazienteNonTrovatoException,
                                          FaultException

      Metodo che restituisce i dati di un paziente in base al codice fiscale
      Parameters:
        `cf` - Il codice fiscale del paziente da cercare
      Returns:
        I dati del paziente cercato
      Throws:
        `PazienteNonTrovatoException` - Quando non viene trovato nessun dato con il codice fiscale in input
        `FaultException` - Quando ci sono problemi durante il criptaggio del codice fiscale

    - #### getOrCreatePaziente

          public Paziente getOrCreatePaziente(String cf,
                                              String nome,
                                              String cognome)
                                       throws FaultException

      Metodo che restituisce i dati di un paziente in base al codice fiscale
      Parameters:
        `cf` - Il codice fiscale del paziente da cercare
        `nome` - Il nome del paziente
        `cognome` - Il cognome del paziente
      Returns:
        I dati del paziente cercato/creato
      Throws:
        `FaultException` - Quando ci sono problemi durante il criptaggio dei dati

    - #### createPaziente

          public Paziente createPaziente(String cf,
                                         String nome,
                                         String cognome)
                                  throws FaultException

      Crea il paziente nel database
      Parameters:
        `cf` - Il codice fiscale da criptare
        `nome` - Il nome del paziente
        `cognome` - Il cognome del paziente
      Returns:
        I dati del paziente creato
      Throws:
        `FaultException` - Quando ci sono problemi durante il criptaggio dei dati

    - #### getIdPazienteByCF

          public String getIdPazienteByCF(String cf)
                                   throws PazienteNonTrovatoException,
                                          FaultException

      Metodo che restituisce l'ID di un paziente in base al codice fiscale
      Parameters:
        `cf` - Il codice fiscale del paziente da cercare
      Returns:
        l'ID del paziente cercato
      Throws:
        `PazienteNonTrovatoException` - Quando non viene trovato nessun dato con il codice fiscale in input
        `FaultException` - Quando ci sono problemi durante il criptaggio del codice fiscale

Copyright © 2024. All rights reserved.